* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Noto Sans", sans-serif;
    background: #f8fafc;
    overflow-x: hidden;
}

:root {
    --white: #ffffff;
    --black: #222328;
    --primery: #e54a25;
    --secoundry: #0f172a;
    --gray: #475569;
}

input[type="search"]::-webkit-search-cancel-button {
    display: none;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
    -moz-appearance: textfield;
    appearance: textfield;
}

.lable-primery {
    margin-bottom: 4px;
    color: var(--gray);
    font-size: 18px;
    font-family: "Poppins", sans-serif;
    font-weight: 500;
    line-height: 28px;
}

.input-primery {
    padding: 11px 12px;
    border-radius: 6px;
    border: 1px solid #e2e8f0;
    font-family: "Poppins", sans-serif;
    font-size: 15px;
    font-weight: 400;
    line-height: 24px;
    color: var(--secoundry);
}

.input-primery::placeholder {
    color: var(--gray);
}

.input-primery:focus {
    box-shadow: 0 0 0 0.25rem rgb(229 74 37 / 15%);
    border-color: var(--primery);
}

.radio-primery {
    color: #cbd5e1;
    font-family: "Poppins", sans-serif;
    font-size: 16px;
    font-weight: 500;
    line-height: 24px;
    cursor: pointer;

    display: inline-flex;
    gap: 20px;
    align-items: center;
    margin-right: 75px;
}

.switch-primary label {
    color: #cbd5e1;
    font-family: "Poppins", sans-serif;
    font-size: 16px;
    font-weight: 500;
    line-height: 24px;
}

.switch-box input[type="checkbox"] {
    position: relative;
    appearance: none;
    width: 36px;
    height: 14px;
    background: #ccc;
    border-radius: 30px;
    box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2);
    cursor: pointer;
    transition: 0.4s;
}

.switch-box input:checked[type="checkbox"] {
    background: var(--primery);
}

.switch-box input[type="checkbox"]::after {
    position: absolute;
    content: "";
    width: 16px;
    height: 16px;
    top: 0;
    bottom: 0;
    margin: auto;
    left: 0;
    background: #fff;
    border-radius: 50%;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
    transform: scale(1.1);
    transition: 0.4s;
}

.switch-box input:checked[type="checkbox"]::after {
    left: calc(100% - 16px);
}

.form-check-input:focus {
    border-color: var(--primery) !important;
}

label.error {
    color: red;
    font-size: 12px;
}

input[type="radio"] {
    position: relative;
    appearance: none;
    width: 20px;
    height: 20px;
}

.radio-primery input[type="radio"]:before {
    content: "";
    border-radius: 100%;
    border: 2px solid #cbd5e1;
    display: inline-block;
    width: 20px;
    height: 20px;
    position: relative;
    margin-right: 1em;
    vertical-align: top;
    cursor: pointer;
    text-align: center;
    transition: all 250ms ease;
}

.radio-primery input[type="radio"]:checked:before {
    background-color: #3197ee;
    box-shadow: inset 0 0 0 2px #ffffff;
}

.radio-primery input[type="radio"]:focus:before {
    outline: none;
    border-color: #3197ee;
}

.radio-primery input[type="radio"]:disabled:before {
    box-shadow: inset 0 0 0 2px #f4f4f4;
    border-color: #cbd5e1;
}

.radio-primery input[type="radio"]:empty:before {
    margin-right: 0;
}

label.active {
    color: var(--secoundry);
}

.select-primery .select2-selection--single {
    padding: 11px 12px;
    border-radius: 6px;
    border: 1px solid #e2e8f0;
    height: 48px;
    min-width: 382px;
}

.select-primery .select2-selection__rendered {
    padding-left: 0 !important;
    font-family: "Poppins", sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px !important;
    color: var(--secoundry) !important;
}

.select-primery .select2-selection__arrow {
    top: 0;
    bottom: 0;
    margin: auto;
    margin-right: 18px;
}

.select-primery .select2-selection__arrow b {
    border-color: #94a3b8 transparent transparent transparent !important;
    border-style: solid !important;
    border-width: 6px 6px 0 6px !important;
}

.select2-container--open .select2-selection__arrow b {
    border-color: transparent transparent #94a3b8 transparent !important;
    border-width: 0 6px 6px 6px !important;
}

.select2-dropdown {
    border-color: #e2e8f0 !important;
}

.select2-container--default
    .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: var(--primery);
}

.select2-container .select2-selection--single .select2-selection__rendered {
    padding-right: 32px;
}

.select2-full .select2 {
    width: 100% !important;
}

/* Button */
.btn-secondary,
.btn-outline-primary,
.btn-primary {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4px;
    padding: 11px 22px;
    border-radius: 6px;
    font-size: 14px;
    font-weight: 700;
    line-height: 20px;
}

.btn-primary {
    color: var(--white);
    background-color: var(--primery);
    border: 1px solid var(--primery);
}

.btn-primary:hover {
    background-color: #ff3707 !important;
    border-color: #ff3707 !important;
    box-shadow: 0px 0px 6px #f5b1a1;
}

.btn.disabled,
.btn:disabled,
fieldset:disabled .btn {
    color: var(--white);
    background-color: var(--primery);
    border: 1px solid var(--primery);
}

.btn-outline-primary {
    color: var(--primery);
    border-color: var(--primery);
}

.btn-secondary:hover,
.btn-outline-primary:hover {
    color: #ff3707 !important;
    background-color: var(--white) !important;
    box-shadow: 0px 0px 6px #f5b1a1;
    border-color: #ff3707 !important;
}

.btn-secondary {
    background-color: #f1f5f9;
    border-color: #f1f5f9;
    color: var(--primery);
}

.buttons {
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
    align-items: center;
}

.file-btn {
    width: fit-content;
}

.file-btn input {
    display: none;
}

.link-primary {
    color: var(--primery) !important;
    text-decoration: none;
}

.link-primary:focus,
.link-primary:active,
.link-primary:hover {
    text-decoration: underline;
    color: var(--primery) !important;
}

/* Main */
.main-container {
    display: flex;
}

.inner-container {
    width: 100%;
    padding-left: 250px;
}

/* sidebar */

.close-sidebarbox,
.close-sidebar {
    display: none;
}

.sidebar {
    display: flex;
    flex-direction: column;
    height: 100vh;
    width: 250px;
    position: fixed;
    top: 0;
}

.logo {
    padding: 10px 13px 10px 22px;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 82px;
    background-color: var(--primery);
}

.logo img {
    max-width: 180px;
    width: 100%;
}

.sidebar ul {
    padding: 0;
    margin: 0;
    padding-top: 26px;
    background: var(--white);
    flex-grow: 1;
    overflow: auto;
}

.sidebar ul::-webkit-scrollbar {
    width: 3px;
    border-radius: 10px;
}

.sidebar ul::-webkit-scrollbar-track {
    background: #ffffff;
}

.sidebar ul::-webkit-scrollbar-thumb {
    background: #f1f5f9;
    border-radius: 10px;
}

.sidebar li {
    list-style-type: none;
}

.sidebar li a {
    text-decoration: none;
    margin-bottom: 24px;
    padding: 18px 14px 18px 40px;
    display: flex;
    gap: 12px;
    align-items: center;
    color: var(--primery);
    font-size: 15px;
    font-weight: 500;
    line-height: 28px;
    font-family: "Poppins", sans-serif;
}

.sidebar li a img {
    max-width: 18px;
}

.sidebar li a:hover,
.sidebar li a.active {
    color: var(--white);
    background-color: #ff947b;
}

.sidebar li a.active img,
.sidebar li a:hover img {
    filter: brightness(100);
}

.show-nav {
    display: none;
    font-size: 24px;
    color: var(--white);
}

/* Top Navbar */
.top-navbar {
    background-color: var(--primery);
    display: flex;
    justify-content: end;
    width: 100%;
    padding: 21px 40px;
    align-items: center;
    position: sticky;
    top: 0;
    z-index: 1001;
}

.profile-img {
    width: 40px;
    height: 40px;
    border-radius: 100%;
}

/* Main Part */
.main-part {
    margin: 45px 40px 40px 16px;
    background: var(--white);
    border-radius: 16px;
    padding: 24px;
}

/* Title */
.title {
    font-size: 24px;
    font-weight: 700;
    margin-bottom: 0;
    margin-right: auto;
    color: var(--primery);
}

.flipbook-tocItem .title {
    font-size: 10pt !important;
    font-weight: normal !important;
    color: var(--black) !important;
}

/* Main Header */
.main-header {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 16px;
    margin-bottom: 40px;
}

/* Search Box */
.main-search {
    position: relative;
    max-width: 312px;
    width: 100%;
}

.main-search img {
    position: absolute;
    margin: auto;
    top: 0;
    bottom: 0;
    left: 16px;
}

.main-search input {
    background-color: #f1f5f9;
    border-color: #f1f5f9;
    box-shadow: none !important;
    padding: 11px 11px 10px 40px;
    border-radius: 6px;
    color: var(--secoundry);
    font-size: 14px;
}

.main-search input:focus {
    border-color: var(--primery);
}

.main-search input::placeholder {
    color: #94a3b8;
}

/* Table */
.sorting:after,
.sorting::before {
    content: unset !important;
}

table {
    margin: 0;
    bottom: 0 !important;
}

table.dataTable.no-footer {
    border: none;
}

table th {
    padding: 24px 16px !important;
    background-color: #f1f5f9;
    color: var(--gray);
    font-size: 15px;
    border: none !important;
    font-weight: 400 !important;
}

table th span {
    max-width: 126px;
    display: block;
}

table th:first-child {
    border-top-left-radius: 16px;
}

table th:last-child {
    border-top-right-radius: 16px;
}

.sorting_1,
table td {
    border: none !important;
    box-shadow: none !important;
    background-color: var(--white) !important;
    padding: 16px !important;
}

table .odd td,
table .even td {
    background-color: var(--white) !important;
}

table .ebook-name {
    max-width: 168px;
    color: #1e293b;
    margin-bottom: 0;
}

table .flipbook-img {
    width: 100px;
    height: 80px;
    object-fit: cover;
    object-position: center;
}

table .ebook-text {
    color: var(--gray);
    margin-bottom: 0;
}

table td,
table p {
    font-size: 15px;
}

table .customize-book {
    display: flex;
    flex-direction: column;
    gap: 8px;
    justify-content: center;
    align-items: center;
    color: var(--primery);
    font-weight: 700;
    font-size: 14px;
    text-decoration: none;
}

table .customize-book:hover {
    text-decoration: underline;
}

.ebook-dropdown {
    width: fit-content;
}

.ebook-dropdown .dropdown-toggle::after {
    content: unset;
}

.ebook-dropdown .dropdown-toggle:focus,
.ebook-dropdown .dropdown-toggle:hover {
    background-color: rgb(229, 74, 37, 0.1);
    border: 1px solid rgb(229, 74, 37, 0.1);
}

.ebook-dropdown .dropdown-menu {
    padding: 0;
    border: unset;
    background-color: #f8fafc;
    border-radius: 6px;
}

.ebook-dropdown .dropdown-item {
    display: flex;
    align-items: center;
    gap: 8px;
    color: var(--primery);
    font-weight: 700;
    font-size: 14px;
    border-radius: 6px;
    padding: 10px 12px;
}

.ebook-dropdown .dropdown-item:hover {
    background-color: #faeeeb;
}

.ebook-table {
    overflow: auto;
}

.pagination {
    --bs-pagination-padding-x: 0.75rem;
    --bs-pagination-padding-y: 0.375rem;
    --bs-pagination-font-size: auto;
    --bs-pagination-color: auto;
    --bs-pagination-bg: #fff;
    --bs-pagination-border-width: 1px;
    --bs-pagination-border-color: none;
    --bs-pagination-border-radius: 0.375rem;
    --bs-pagination-hover-color: auto;
    --bs-pagination-hover-bg: auto;
    --bs-pagination-hover-border-color: auto;
    --bs-pagination-focus-color: auto;
    --bs-pagination-focus-bg: auto;
    --bs-pagination-focus-box-shadow: auto;
    --bs-pagination-active-color: auto;
    --bs-pagination-active-bg: auto;
    --bs-pagination-active-border-color: auto;
    --bs-pagination-disabled-color: auto;
    --bs-pagination-disabled-bg: auto;
    --bs-pagination-disabled-border-color: auto;
    display: flex;
    padding-left: 0;
    list-style: none;
}

.pagination {
    gap: 6px;
    justify-content: end;
    margin-top: 40px !important;
}

.pagination .disabled {
    opacity: 0.5;
}

.pagination .page-link {
    width: 36px;
    height: 36px;
    border-radius: 100% !important;
    border: none !important;
    color: #64748b;
    background-color: var(--white);
    font-weight: 600;
    font-size: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: none !important;
}

.pagination .page-link:hover {
    color: var(--primery);
}

.pagination .page-item:first-child .page-link,
.pagination .page-item:last-child .page-link {
    font-size: 16px;
}

.pagination .active .page-link {
    background-color: var(--primery);
    color: var(--white);
}

.pagination .page-link:hover {
    color: var(--white);
    background-color: var(--primery);
}

.pagination .page-link:hover {
    color: var(--white);
    background-color: var(--primery);
}

/* Modal primery */
.modal-primery .modal-dialog {
    max-width: 837px;
}

.modal-primery .modal-content {
    padding: 24px;
    border-radius: 16px;
}

.modal-primery .modal-body {
    padding: 0;
}

.modal-primery .btn-close {
    color: #0f172a;
    height: 21px;
    width: 21px;
    opacity: 1;
    margin: 0 0 0 auto !important;
}

.modal-primery .modal-title {
    color: var(--secoundry);
    font-size: 24px;
    font-family: "Poppins", sans-serif;
    font-weight: 700;
}

.modal-primery .modal-header {
    padding: 0 0 27px;
    border-color: #e2e8f0;
    margin-bottom: 24px;
}

.sub-title {
    margin-bottom: 24px;
    color: var(--gray);
    font-size: 18px;
    font-weight: 700;
    font-family: "Poppins", sans-serif;
}

.book-parent {
    display: flex;
    row-gap: 10px;
    column-gap: 24px;
    align-items: start;
    flex-wrap: wrap;
}

/* Theme CSS */
.books-theme {
    display: flex;
    flex-direction: column;
    justify-content: center;
    min-height: 100vh;
    padding: 80px 30px;
    background-position: center !important;
    background-repeat: no-repeat !important;
    background-size: cover !important;
}

.theme-pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    width: fit-content;
    margin-inline: auto;
    padding: 10px 0;
    border-radius: 25px;
    gap: 24px;
}

.theme-pagination a {
    text-decoration: none;
    display: flex;
    width: 36px;
    height: 36px;
    border-radius: 100%;
    justify-content: center;
    align-items: center;
    color: #212121;
    font-size: 24px;
    font-weight: 500;
    line-height: 16px;
}

.theme-pagination .active,
.theme-pagination a:hover,
.theme-pagination a:hover {
    color: var(--white);
    background-color: var(--primery);
}

.theme-pagination li:first-child a:hover,
.theme-pagination li:last-child a:hover
/* .theme-pagination a:first-child:hover, */
/* .theme-pagination a:last-child:hover */ {
    background-color: transparent !important;
}

.themeslider-parent {
    max-width: 972px;
    padding: 0 90px;
    margin-inline: auto;
    position: relative;
}

.owl-prev {
    position: absolute;
    top: 87px;
    left: -92px;
    background-color: transparent !important;
}

.owl-next {
    position: absolute;
    top: 87px;
    right: -92px;
    background-color: transparent !important;
}

.owl-stage {
    display: flex;
    align-items: flex-end;
    /* gap: 32px; */
}

.owl-theme .owl-nav {
    margin: 0;
}
